#!/usr/local/pd-admin2/bin/perl 
#
#     waitformysql.pl
#     2009-05-15 stvo
#     $Id: waitformysql.pl,v 1.1 2009/05/15 13:38:34 testx Exp testx $
#

use warnings;
use strict;
use DBI;

my $retry_cnt = 5;
my $dura = 10;

my $MYPWF = 'xxxx';
if (-f '/opt/pdadmin/etc/mysql_rootpw.conf') {
   $MYPWF = '/opt/pdadmin/etc/mysql_rootpw.conf'
}
elsif (-f '/etc/admin/mysql_rootpw') {
   $MYPWF = '/etc/admin/mysql_rootpw';
}
else {
   die "MySQL root password not found\n";
}

open (FI, '<', $MYPWF)
   or die "cannot open password file\n";
my $password = <FI>;
chomp $password;
close (FI);

#   print "MySQL root password: $password\n";

my $dsn = "DBI:mysql:database=mysql;host=localhost;";
my $dbh;
my $cnt = $retry_cnt;
while ($cnt and not $dbh = DBI->connect($dsn, "root", $password, {
         RaiseError => 0, PrintError => 0})) {
   print "Kann nicht zur Datenbank verbinden! $@\n";
   sleep ($dura);
   --$cnt;
}
if (not defined $dbh) {
   print "Konnte auch nach ", ($retry_cnt + 1) * $dura, " Sekunden nicht mit der MySQL-Datenbank verbinden.\n";
}
